mysqlpp::BadIndex Class Reference

Exception thrown when an object with operator [] or an at() method gets called with a bad index. More...

`#include <exceptions.h>`

Inheritance diagram for mysqlpp::BadIndex:
[legend]
Collaboration diagram for mysqlpp::BadIndex:
[legend]

## Public Member Functions

| BadIndex (const char *what, int bad_index, int max_index)
| Create exception object. More...
| ~BadIndex () throw ()
| Destroy exception.
Public Member Functions inherited from mysqlpp::Exception
| Exception (const Exception &e) throw ()
| Create exception object as copy of another.
Exception & | operator= (const Exception &rhs) throw ()
| Assign another exception object's contents to this one.
| ~Exception () throw ()
| Destroy exception object.
virtual const char * | what () const throw ()
| Returns explanation of why exception was thrown.

## Additional Inherited Members

Protected Member Functions inherited from mysqlpp::Exception
| Exception (const char *w="") throw ()
| Create exception object.
| Exception (const std::string &w) throw ()
| Create exception object.
Protected Attributes inherited from mysqlpp::Exception
std::string | what_
| explanation of why exception was thrown

## Detailed Description

Exception thrown when an object with operator [] or an at() method gets called with a bad index.

## Constructor & Destructor Documentation

mysqlpp::BadIndex::BadIndex | ( | const char * | what,
|  | int | bad_index,
|  | int | max_index
| ) |  |

inline explicit

Create exception object.

Parameters

  what | type of object bad index tried on
  bad_index | index value the container didn't like
  max_index | largest legal index value for container

The documentation for this class was generated from the following file:

- exceptions.h